Name:           libopkele
Version:        2.0.4
Release:        3%{?dist}
Summary:        C++ implementation of the OpenID decentralized identity system
Group:          System Environment/Libraries
License:        MIT
URL:            http://kin.klever.net/libopkele/
Source0:        http://kin.klever.net/dist/%{name}-%{version}.tar.bz2
# Patch from debian bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667253
Patch0:         fix-ftbfs-gcc4.7.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel, openssl-devel, libxslt, libcurl-devel, expat-devel
BuildRequires:  tidy-devel, sqlite-devel, libuuid-devel

%description
libopkele is a C++ implementation of the OpenID decentralized identity
system. It provides OpenID protocol handling, leaving authentication
and user interaction to the implementor.

%package devel
Summary:        Header files and libraries for %{name} development
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libcurl-devel

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} OpenID library.


%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/*.{a,la}

%check
./test/test

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libdir}/libopkele.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/opkele
%{_includedir}/opkele/*.h
%{_libdir}/libopkele.so
%{_libdir}/pkgconfig/libopkele.pc

%changelog
* Sun Jun 03 2012 Kevin Fenzi <kevin@scrye.com> - 2.0.4-3
- Fixed devel subpackage requires. 
- Dropped leading A from summary. 
- Added BuildRequires: libuuid-devel
- Added tests in %%check 

* Fri May 25 2012 Kevin Fenzi <kevin@scrye.com> - 2.0.4-2
- Add AUTHORS file as a doc, per review at bug 691597
- Add patch for gcc 4.7 issues. 

* Mon Mar 28 2011 Bryan O'Sullivan <bos@serpentine.com> - 2.0.4-1
- Initial packaging for Fedora
